org.encog.ml.fitting.linear

## Class TrainLinearRegression

- java.lang.Object
- - org.encog.ml.train.BasicTraining
  - - org.encog.ml.fitting.linear.TrainLinearRegression

- All Implemented Interfaces:
    MLTrain

      public class TrainLinearRegression
      extends BasicTraining

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainLinearRegression(LinearRegression theMethod, MLDataSet theTraining)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canContinue()`
    `MLMethod` | `getMethod()` Get the current best machine learning method from the training.
    `MLDataSet` | `getTraining()`
    `void` | `iteration()` Perform one iteration of training.
    `TrainingContinuation` | `pause()` Pause the training to continue later.
    `void` | `resume(TrainingContinuation state)` Resume training.

    - ### Methods inherited from class org.encog.ml.train.BasicTraining

      `addStrategy, finishTraining, getError, getImplementationType, getIteration, getStrategies, isTrainingDone, iteration, postIteration, preIteration, setError, setIteration, setTraining`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainLinearRegression

          public TrainLinearRegression(LinearRegression theMethod,
                               MLDataSet theTraining)

  - ### Method Detail

    - #### getTraining

          public MLDataSet getTraining()

      Specified by:
        `getTraining` in interface `MLTrain`
      Overrides:
        `getTraining` in class `BasicTraining`
      Returns:
        the training

    - #### iteration

          public void iteration()

      Description copied from interface: `MLTrain`
      Perform one iteration of training.

    - #### canContinue

          public boolean canContinue()

      Returns:
        True if the training can be paused, and later continued.

    - #### pause

          public TrainingContinuation pause()

      Description copied from interface: `MLTrain`
      Pause the training to continue later.
      Returns:
        A training continuation object.

    - #### resume

          public void resume(TrainingContinuation state)

      Description copied from interface: `MLTrain`
      Resume training.
      Parameters:
        `state` - The training continuation object to use to continue.

    - #### getMethod

          public MLMethod getMethod()

      Description copied from interface: `MLTrain`
      Get the current best machine learning method from the training.
      Returns:
        The best machine learningm method.

Copyright © 2014. All Rights Reserved.